petsc-3.15.0 2021-03-30
Report Typos and Errors

# PetscWeakForm

PETSc object that manages a sets of pointwise functions defining a system of equations

### Synopsis

    typedef struct _p_PetscWeakForm *PetscWeakForm;

### See Also

PetscWeakFormCreate(), PetscDS, PetscFECreate(), PetscFVCreate()

### Level

intermediate

### Location

src/dm/dt/../../../include/petscdstypes.h

### Implementations

_p_PetscWeakForm in include/petsc/private/petscdsimpl.h
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages